# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           run-in-gui
Version:        0.0.11
Release:        %{mybuildnumber}%{?dist}
Summary:        Tools to run (possibly graphical) programs in logged-in user sessions on modern Linux distributions

License:        GPLv2
URL:            https://github.com/Rudd-O/%{name}
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       systemd
Requires:       python3
BuildRequires:  coreutils
BuildRequires:  make
BuildArch:      noarch

%description
This project contains two programs that assist you in executing programs
in a separate desktop session (defined by the environment variables of any
program executing in that session), and then switching to the session in
real-time as the program executes.  It's useful to start GUI programs from
cron that need a graphical display and/or audio access.

%prep
%autosetup

%build
:

%install
make install DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir}

%files
%{_bindir}/%{name}
%{_bindir}/run-in-env-of
%doc README.md

%changelog
* Mon Aug 07 2023 Manuel Amador <rudd-o@rudd-o.com> 0.0.11
- First proper RPM packaging release.
